require File.dirname(__FILE__) + '/../../../../../spec_helper'
require File.dirname(__FILE__) + '/shared_examples_spec'
include OpenEHR::RM::Common::ChangeControl

describe ImportedVersion do
  it_should_behave_like 'change_control'

  it 'should be an instance of ImportedVersion' do
    @imported_version.should be_an_instance_of ImportedVersion
  end

  it 'uid should be item.uid' do
    @imported_version.uid.value.should == 'ABCD::EFG::2'
  end

  it 'lifecycle_state should be item.lifecycle' do
    @imported_version.lifecycle_state.defining_code.code_string.should == '532'
  end

  it 'preceding_version_uid should be item.preceding_version_uid' do
    @imported_version.preceding_version_uid.value.should == 'HIJ::KLM::1'
  end

  it 'should raise ArgumentError when item is nil' do
    lambda {
      @imported_version.item = nil
    }.should raise_error ArgumentError
  end
end
